%define desktop_vendor planetccrma

Summary: Realtime audio frequency spectral manipulation
Name: freqtweak
Version: 0.7.2
Release: 1%{?dist}
URL: http://freqtweak.sourceforge.net/
Source0: http://dl.sf.net/sourceforge/freqtweak/freqtweak-%{version}.tar.gz
Source1: freqtweak.png
Source2: freqtweak.desktop
Patch0: freqtweak-0.7.2-gcc44.patch
Patch1: freqtweak-0.7.2-long.patch
License: GPL
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: hicolor-icon-theme
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: pkgconfig libsigc++-devel desktop-file-utils fftw-devel
BuildRequires: jack-audio-connection-kit-devel libxml2-devel
BuildRequires: wxGTK-devel

%description
FreqTweak is a tool for FFT-based realtime audio spectral manipulation
and display. It provides several algorithms for processing audio data
in the frequency domain and a highly interactive GUI to manipulate the
associated filters for each. It also provides high-resolution spectral
displays in the form of scrolling-raster spectragrams and energy vs
frequency plots displaying both pre- and post-processed spectra.

%prep
%setup -q
%patch0 -p1
%ifarch x86_64
%patch1 -p1
%endif

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
make DESTDIR=$RPM_BUILD_ROOT install

# install icon in the proper freedesktop location
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/

# desktop file categories
BASE="Application AudioVideo Audio"
XTRA="X-Digital_Processing X-DigitalProcessing X-Jack"

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE2}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
fi
update-desktop-database &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS
%{_bindir}/freqtweak
%{_mandir}/man1/*
%{_datadir}/freqtweak
%{_datadir}/applications/*freqtweak.desktop
%{_datadir}/icons/hicolor/32x32/apps/freqtweak.png

%changelog
* Tue Oct 13 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.7.2-1
- updated to 0.7.2, added patch for gcc44/fc11 and unsigned long
  precision loss on x86_64
- sync with latest post scripts (borrowed from Fedora's ardour spec)
- add Fedora's DigitalProcessing menu category

* Wed Feb  6 2008 Arnaud Gomes-do-Vale <Arnaud.Gomes@ircam.fr>
- rebuilt on CentOS 5

* Mon Nov 19 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- changed build requirements for modified wxGKT24-2 package on f8
  (because f8 wxGTK obsoletes all older compat packages)

* Wed Nov 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- updated desktop categories

* Wed Dec  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.1-5
- added long int patch for x86_64

* Wed May  3 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.1-4
- added home brewed icon

* Wed May  3 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.1-3
- added Planet CCRMA menu categories

* Wed Apr  5 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.1-2
- pull in the pangox libraries, otherwise there is an unknown symbol
  in the link stage

* Fri Mar 31 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.1-1
- proper build dependency for fc5

* Mon May 30 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.1-1
- add patch to remove jack_set_server_dir function (patch2), did this
  for test fc4 build, no change in release for now
- build dependency now is wxGTK2 (from fedora extras)
- tweaked configure patch to recognize wxgtk2-2.4-config

* Tue Feb  8 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.1-1
- add patch to inject very low level noise at the inputs to try to
  avoid denormals
- erased old jack_set_server_dir library call
- arghh, reverted patch, for some reason the cpu load goes up a lot

* Tue Jul 27 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.1-1
- updated to 0.6.1

* Sat Apr 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.0-1
- updated to 0.6.0

* Mon Sep 22 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.3-1
- updated to 0.5.3
- added help to file list (/usr/share/freqtweak/help/usagehelp.html)

* Wed Aug 20 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.2-1
- updated to 0.5.2, added release tags

* Sat Jul 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.1-1
- updated to 0.5.1

* Tue Apr  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.8-2
- rebuilt for newer version of fftw

* Fri Apr  4 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.8-1
- update to 0.4.8

* Wed Apr  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.7-3
- rebuild for jack 0.66.3, added explicit requires for it

* Sun Mar 23 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.7-2
- rebuild due to update of wxGTK, patch configure to recognize the config
  script of wxGTK 2.4.0 (wxgtk-2.4-config instead of wx-config)

* Tue Mar  4 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.7-1
- update to 0.4.7

* Wed Feb 11 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.6-1
- update to 0.4.6

* Sun Nov 17 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.5-1
- update to 0.4.5

* Tue Nov 12 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.4-3
- menu in 7.2/7.3 was in wrong group

* Sun Nov 10 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.4-2
- added patch to rename jack alsa ports for jack >= 0.40
- added explicit dependency to jack
- added redhat menu entry

* Tue Oct 15 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.3-1
- Initial build. 
- Update to 0.4.3
